from sqlalchemy.ext.declarative import declarative_base
from libraries.base.config import ConfigReader

from flask_sqlalchemy import SQLAlchemy
from flask_babel import Babel, get_locale
from flask import Flask

Base = declarative_base()


#### DATABASE CONN ####
config = ConfigReader()
config.loadConfig()
install_dir = config.get(str("install_dir"))

app = Flask(__name__, template_folder=install_dir+'/modules/web/templates')
app.config["SQLALCHEMY_DATABASE_URI"] = "mysql://comba:comba@localhost/comba?charset=utf8"
app.config['BABEL_DEFAULT_LOCALE'] = 'de'
app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = False
app.debug = True
db = SQLAlchemy(app)
babel = Babel(app)
#### END DATABASE CONN ####